Программа: ATutor 1.5.3 RC2 и более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Пример:

http://[host]/admin/create_course.php?show_courses=[code]&current_cat=[code]
http://[host]/users/create_course.php?show_courses=[code]
http://[host]/documentation/admin/?p=2.0.configuration.php">[code]
http://[host]/password_reminder.php?forgot=Email+Reminder">[code]
http://[host]/users/browse.php?cat=[code]
http://[host]/admin/fix_content.php?submit=Submit">[code]

Оставить мнение